Subject: bug#51674: 29.0.50; [PATCH] Fix hang when displaying xwidget script dialog

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 09 Nov 2021 06:30:22 +0100

Po Lu <[email-masked]> writes:

> Yes, and also thanks for all the work you've been doing.  Once the
> WebKitGTK problems are resolved, I'm really looking forward to native
> video playback in Emacs.

I've now added support for this.  Try

(setq shr-use-xwidgets-for-media t)

and use eww to look at a web page with a <video> tag.  It works!  😀
But not on Debian/bullseye.  ☹️  So I've been testing this on Macos, and
it's totally smooth there, as far as I can tell.  (But I've only tested
on a couple of different pages.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no